<?xml version="1.0" encoding="utf-8"?>
<layout>

    <androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:id="@+id/top_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical"
        tools:context=".ui.termscondition.TermsConditionActivity">

        <include
            android:id="@+id/toolbar_layout"
            layout="@layout/layout_toolbar" />

        <androidx.core.widget.NestedScrollView

            app:layout_behavior="com.google.android.material.appbar.AppBarLayout$ScrollingViewBehavior"
            android:fillViewport="true"
            android:layout_below="@+id/toolbar_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">


                <LinearLayout
                    android:id="@+id/date_ll"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/_20sdp"
                    android:layout_marginTop="@dimen/_20sdp"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="@string/start_date_string"
                            android:textColor="@color/black"
                            android:textSize="@dimen/_13sdp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/_10sdp"
                            android:layout_weight="1"
                            android:text="@string/end_date_string"
                            android:textColor="@color/black"
                            android:textSize="@dimen/_13sdp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/_5sdp">

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/startDateTV"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="@dimen/_10sdp"
                            android:layout_weight="1"
                            android:background="@drawable/background_black_corner"
                            android:hint="MM, DD/YYYY"
                            android:padding="@dimen/_7sdp"
                            android:textColor="@color/black"
                            android:textSize="@dimen/_13sdp" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/endDateTV"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/background_black_corner"
                            android:hint="MM, DD/YYYY"
                            android:padding="@dimen/_7sdp"
                            android:textColor="@color/black"
                            android:textSize="@dimen/_13sdp" />

                    </LinearLayout>
                </LinearLayout>

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/date_ll"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="@dimen/_20sdp"
                    android:text="@string/where_string"
                    android:textColor="@color/black"
                    android:textSize="@dimen/_15sdp" />

                <androidx.appcompat.widget.AppCompatEditText
                    android:id="@+id/searchLocationET"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/text"
                    android:layout_marginHorizontal="@dimen/_20sdp"
                    android:layout_marginTop="@dimen/_10sdp"
                    android:background="@drawable/background_black_corner"
                    android:hint="Where?"
                    android:maxLines="1"
                    android:padding="@dimen/_10sdp"
                    android:textColor="@color/black" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/locationSearchRV"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/_200sdp"
                    android:layout_below="@+id/searchLocationET"
                    android:layout_marginHorizontal="@dimen/_15sdp"
                    android:layout_marginTop="@dimen/_5sdp"
                    android:background="@color/blue"
                    android:visibility="gone" />

                <ImageView
                    android:id="@+id/searchIV"
                    android:layout_width="@dimen/_80sdp"
                    android:layout_height="@dimen/_80sdp"
                    android:layout_alignParentBottom="true"
                    android:layout_centerHorizontal="true"
                    android:layout_gravity="center"
                    android:layout_marginBottom="@dimen/_20sdp"
                    android:src="@drawable/search_icon" />

                <include
                    android:id="@+id/progress_layout"
                    layout="@layout/layout_progress_bar"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:visibility="gone" />
            </RelativeLayout>
        </androidx.core.widget.NestedScrollView>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>
</layout>